list_for_each_continue_rcu
Prev | Doubly Linked Lists | Next

## Name

list_for_each_continue_rcu —

## Synopsis

`list_for_each_continue_rcu (` |  | pos,
|  | head`)`;

## Arguments

`pos`

  the &struct list_head to use as a loop cursor.

`head`

  the head for your list.

## Description

Iterate over an rcu-protected list, continuing after current point.

This list-traversal primitive may safely run concurrently with the _rcu list-mutation primitives such as `list_add_rcu` as long as the traversal is guarded by `rcu_read_lock`.

Prev | Up | Next
list_for_each_entry_rcu | Home | hlist_del_rcu